/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.kursanalyse.MACD; // NOPMD 

/**
 * Parameter-Klassen-Bean f&uuml; MACD. Besteht aus emaLang, emaKurz und
 * emaSignal.
 * 
 * @author munstfr
 * @version 1.0
 */
public class MACDParameter {

	/**
	 * Standardwert f&uuml;r <i>emaLang</i>
	 */
	private int emaLang = 12;

	/**
	 * Standardwert f&uuml;r <i>emaKurz</i>
	 */
	private int emaKurz = 26;

	/**
	 * Standardwert f&uuml;r <i>emaSignal</i>
	 */
	private int emaSignal = 9;

	/**
	 * Standardkonstruktor
	 */
	public MACDParameter() {
		// Absichlich leer
	}

	/**
	 * @return the emaLang
	 */
	public int getEmaLang() {
		return emaLang;
	}

	/**
	 * @param emaLang
	 *            the emaLang to set
	 */
	public void setEmaLang(final int emaLang) {
		this.emaLang = emaLang;
	}

	/**
	 * @return the emaKurz
	 */
	public int getEmaKurz() {
		return emaKurz;
	}

	/**
	 * @param emaKurz
	 *            the emaKurz to set
	 */
	public void setEmaKurz(final int emaKurz) {
		this.emaKurz = emaKurz;
	}

	/**
	 * @return the emaSignal
	 */
	public int getEmaSignal() {
		return emaSignal;
	}

	/**
	 * @param emaSignal
	 *            the emaSignal to set
	 */
	public void setEmaSignal(final int emaSignal) {
		this.emaSignal = emaSignal;
	}

}
